Activity log for bug #1057263

Date Who What changed Old value New value Message
2012-09-27 03:27:33 Daniel van Vugt bug added bug
2012-09-27 03:31:01 Daniel van Vugt bug task added compiz-core
2012-09-27 03:31:06 Daniel van Vugt compiz-core: status New Triaged
2012-09-27 03:31:08 Daniel van Vugt compiz-core: importance Undecided High
2012-09-27 03:31:11 Daniel van Vugt compiz-core: milestone 0.9.7.10
2012-09-27 03:50:18 Daniel van Vugt description Test case: 1. Install xrestop (sudo apt-get install xrestop) 2. Run xrestop and look for the gtk-window-decorator row 3. Note the values for "Pxms" and "Pxm mem". 4. Resize a window rapidly. Expected: No significant change in Pxm metrics. Observed: Hundreds of pixmaps leaked and Pxm mem grows by several megabytes per second. Test case: 1. Install xrestop (sudo apt-get install xrestop) 2. Run xrestop and look for the gtk-window-decorator row 3. Note the values for "Pxms" and "Pxm mem". 4. Resize a window rapidly (make sure you have Normal resize mode, not Rectangle) Expected: No significant change in Pxm metrics. Observed: Hundreds of pixmaps leaked and Pxm mem grows by several megabytes per second.
2012-09-27 06:20:33 Daniel van Vugt compiz: assignee Daniel van Vugt (vanvugt)
2012-09-27 09:09:20 Daniel van Vugt compiz: status Triaged In Progress
2012-09-27 09:10:28 Daniel van Vugt branch linked lp:~vanvugt/compiz/fix-1057263
2012-09-27 10:36:00 Unity Merger compiz: status In Progress Fix Committed
2012-09-28 05:12:36 Daniel van Vugt compiz: status Fix Committed Fix Released
2012-09-28 09:47:19 Launchpad Janitor branch linked lp:~sil2100/compiz/ubuntu_0.9.8.4
2012-10-02 08:19:48 Launchpad Janitor branch linked lp:compiz-core/0.9.7
2012-10-02 08:20:23 Daniel van Vugt compiz-core: status Triaged Fix Committed
2012-10-02 08:23:37 Daniel van Vugt compiz-core: assignee Daniel van Vugt (vanvugt)
2012-11-12 05:53:31 Launchpad Janitor branch linked lp:~timo-jyrinki/compiz/ubuntu_1204sru
2012-11-12 13:32:37 Timo Jyrinki bug task added compiz (Ubuntu)
2012-11-12 13:43:53 Alan Pope 🍺🐧🐱 πŸ¦„ nominated for series Ubuntu Precise
2012-11-13 13:49:41 Timo Jyrinki description Test case: 1. Install xrestop (sudo apt-get install xrestop) 2. Run xrestop and look for the gtk-window-decorator row 3. Note the values for "Pxms" and "Pxm mem". 4. Resize a window rapidly (make sure you have Normal resize mode, not Rectangle) Expected: No significant change in Pxm metrics. Observed: Hundreds of pixmaps leaked and Pxm mem grows by several megabytes per second. [Impact] Memory leak when resizing window in normal mode. [Test Case] Test case: 1. Install xrestop (sudo apt-get install xrestop) 2. Run xrestop and look for the gtk-window-decorator row 3. Note the values for "Pxms" and "Pxm mem". 4. Resize a window rapidly (make sure you have Normal resize mode, not Rectangle) Expected: No significant change in Pxm metrics. Observed: Hundreds of pixmaps leaked and Pxm mem grows by several megabytes per second. [Regrsesion Potential] Low, used in Ubuntu 12.10 as well without regressions.
2012-11-13 13:49:48 Timo Jyrinki bug added subscriber Ubuntu Stable Release Updates Team
2012-11-13 13:49:55 Timo Jyrinki description [Impact] Memory leak when resizing window in normal mode. [Test Case] Test case: 1. Install xrestop (sudo apt-get install xrestop) 2. Run xrestop and look for the gtk-window-decorator row 3. Note the values for "Pxms" and "Pxm mem". 4. Resize a window rapidly (make sure you have Normal resize mode, not Rectangle) Expected: No significant change in Pxm metrics. Observed: Hundreds of pixmaps leaked and Pxm mem grows by several megabytes per second. [Regrsesion Potential] Low, used in Ubuntu 12.10 as well without regressions. [Impact] Memory leak when resizing window in normal mode. [Test Case] Test case: 1. Install xrestop (sudo apt-get install xrestop) 2. Run xrestop and look for the gtk-window-decorator row 3. Note the values for "Pxms" and "Pxm mem". 4. Resize a window rapidly (make sure you have Normal resize mode, not Rectangle) Expected: No significant change in Pxm metrics. Observed: Hundreds of pixmaps leaked and Pxm mem grows by several megabytes per second. [Regression Potential] Low, used in Ubuntu 12.10 as well without regressions.
2012-11-16 16:59:24 Didier Roche bug task added compiz (Ubuntu Precise)
2012-11-16 17:05:15 Didier Roche compiz (Ubuntu): status New Fix Released
2012-11-19 06:59:06 Timo Jyrinki compiz (Ubuntu Precise): status New In Progress
2012-11-20 05:07:15 Daniel van Vugt compiz-core: status Fix Committed Fix Released
2012-11-28 02:31:52 Chris Halse Rogers compiz (Ubuntu Precise): status In Progress Fix Committed
2012-11-28 02:31:56 Chris Halse Rogers bug added subscriber SRU Verification
2012-11-28 02:31:59 Chris Halse Rogers tags verification-needed
2012-11-30 12:12:42 Timo Jyrinki tags verification-needed verification-done
2012-12-06 18:13:08 Colin Watson removed subscriber Ubuntu Stable Release Updates Team
2012-12-06 18:13:12 Launchpad Janitor compiz (Ubuntu Precise): status Fix Committed Fix Released
2013-03-26 02:59:21 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/compiz